for i in range(8):
	print(f"Cycle {i+1}/8 starting...")
	navigation_to_location('a')
	print("arrived a point")
	navigation_to_location('b')
	print("arrived b point")
	navigation_to_location('c')
	print("arrived c point")
	navigation_to_location('d')
	print("arrived d point")
	navigation_to_location('e')
	print("arrived e point")
	navigation_to_location('f')
	print("arrived f point")
	navigation_to_location('g')
	print("arrived g point")
	navigation_to_location('h')
	print("arrived h point")
	navigation_to_location('i')
	print("arrived i point")
	navigation_to_location('j')
	print("arrived j point")
	navigation_to_location('k')
	print("arrived k point")
	navigation_to_location('l')
	print("arrived l point")
	navigation_to_location('m')
	print("arrived m point")
	navigation_to_location('n')
	print("arrived n point")
	navigation_to_location('o')
	print("arrived o point")
	navigation_to_location('p')
	print("arrived p point")
	navigation_to_location('q')
	print("arrived q point")
	navigation_to_location('r')
	print("arrived r point")
	navigation_to_location('s')
	print("arrived s point")
	navigation_to_location('t')
	print("arrived t point")
	navigation_to_location('u')
	print("arrived u point")
	navigation_to_location('v')
	print("arrived v point")
	navigation_to_location('w')
	print("arrived w point")
	print(f"Cycle {i+1}/8 completed.")